/* PRELOADER */
    /*.preloader-wrapper { height: 0px;-webkit-transform: translate(0%,0%);transform: translate(0%,0%); }*/
    .preloader-wrapper { display:block;height: 100%;width: 100%;background: #fff;position: fixed;top: 0; left: 0;z-index: 9999999; }
    .preloader-wrapper .preloader { position: absolute;top: 50%;left: 50%;-webkit-transform: translate(-50%, -50%);transform: translate(-50%, -50%); }
    .preloader-wrapper .preloader p { font-size: 10pt; text-align: center; color: #727275;padding-top: 1em;}
/* END PRELOADER */

/* SCROLL */
    ::-webkit-scrollbar { width: 5px;height: 5px;background-color: #F5F5F5; }
    ::-webkit-scrollbar-track { background-color: #F5F5F5; }    
    ::-webkit-scrollbar-thumb { background-color: #dd4b39; }
/* END SCROLL */

/* Margenes */
    .mt-0 { margin-top: 0; }
    .mt-1 { margin-top: 1em; }
    .mt-2 { margin-top: 2em; }
    .mr-1 { margin-right: 0; }
    .mr-1 { margin-right: 1em; }
    .mr-2 { margin-right: 2em; }
    .mb-0 { margin-bottom: 0; }
    .mb-1 { margin-bottom: 1em; }
    .mb-2 { margin-bottom: 2em; }
    .ml-0 { margin-left: 0; }
    .ml-1 { margin-left: 1em; }
    .ml-2 { margin-left: 2em; }
/* End Margenes */

/* Botones */
    .btn-default {border-color: #ccc;}
    .btn.btn-sm {line-height: 1.5;transition-property:background-color, color;transition-duration: .5s;-webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;-o-transition-property: background-color, color;-o-transition-duration: .5s;transition-timing-function: ease-out;}
    .btn.btn-sm:hover, .btn.btn-sm a:hover { background-color: #333;color: white; }
    #buttons-group {position: fixed;z-index: 99;right: 15px;top: 15px;margin: 0;}
    
    .btn-flesan { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #e8000a;color: white !important; font-size: 9pt; line-height: 2;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }    
    .btn-flesan-ok { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #00a65a;color: white !important; font-size: 9pt; line-height: 2;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }  
    .btn-flesan-table { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #e8000a;color: white;border-radius: 50%;width: 35px;height: 35px;line-height: 23px;font-size: 10pt;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }
    .btn-flesan-table-ok { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #00a65a;color: white;border-radius: 50%;width: 35px;height: 35px;line-height: 23px;font-size: 10pt;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }
    .btn-flesan-table-save { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #555299;color: white;border-radius: 50%;width: 35px;height: 35px;line-height: 23px;font-size: 10pt;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }
    .btn-flesan-table-warning { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #f39c12;color: white;border-radius: 50%;width: 35px;height: 35px;line-height: 23px;font-size: 10pt;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }
    .btn-flesan-table-status { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #ff7701;color: white;border-radius: 50%;width: 35px;height: 35px;line-height: 23px;font-size: 10pt;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }
    .btn-flesan-table-navy { 
        transition-property: background-color, color;transition-duration: .5s;
        -webkit-transition-property: background-color, color;-webkit-transition-duration: .5s;
        -o-transition-property: background-color, color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        background-color: #001a35;color: white;border-radius: 50%;width: 35px;height: 35px;line-height: 23px;font-size: 10pt;-webkit-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);-moz-box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4);box-shadow: 0px 2px 5px 0px rgba(0,0,0,0.4); }
    .btn-flesan:hover, 
    .btn-flesan a:hover,
    .btn-flesan-ok:hover, 
    .btn-flesan-ok a:hover,
    .btn-flesan-table:hover,
    .btn-flesan-table-ok:hover,
    .btn-flesan-table-save:hover,
    .btn-flesan-table-warning:hover,
    .btn-flesan-table-status:hover,
    .btn-flesan-table-navy:hover  
    { background-color: #888 !important; color: #333 !important; }

    /* Icono de información popup*/
    .btn-flesan-info { 
        transition-property: color;transition-duration: .5s;
        -webkit-transition-property: color;-webkit-transition-duration: .5s;
        -o-transition-property: color;-o-transition-duration: .5s;
        transition-timing-function: ease-out;
        color: #00c0ef; width: 15px; height: 15px; padding: 0; margin: -6px 0 0 0; }
    .btn-flesan-info:hover { color: #333; }
    .sr-only { transition-property: all;transition-duration: .5s; -webkit-transition-property: all;-webkit-transition-duration: .5s; -o-transition-property: all;-o-transition-duration: .5s; transition-timing-function: ease-out; }
/* End Botones */

/* Tables */
    .table {border-radius: 5px;border: 1px solid #f4f4f4;}
    .table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th { vertical-align: middle; border-bottom: 0 !important; border-top: 0 !important; }
    .no-sort::after { display: none!important; }
    .no-sort { pointer-events: none!important; cursor: default!important; }
    .table>thead { background: #e8000a;}     
    .table>thead>tr>th { color: white;font-size: 9pt; }
    .table>tbody>tr>td { color:#444;font-size: 9pt; }
    /*table-striped>tbody>tr:nth-of-type(odd) {background-color: #FFF8AD;}*/
    table.dataTable thead .sorting:after, 
    table.dataTable thead .sorting_asc:after, 
    table.dataTable thead .sorting_desc:after, 
    table.dataTable thead .sorting_asc_disabled:after,
    table.dataTable thead .sorting_desc_disabled:after { opacity: 1;font-weight: normal; }    
    .table-hover>tbody>tr { transition-property: all;transition-duration: .5s; -webkit-transition-property: all;-webkit-transition-duration: .5s; -o-transition-property: all;-o-transition-duration: .5s; transition-timing-function: ease-out; }
    .table-hover>tbody>tr:hover { background-color: #ffeb3b60; }

    body { height: 100vh !important; }
    .content-wrapper .pagination>.active>a,
    .content-wrapper .pagination>.active>a:focus,
    .content-wrapper .pagination>.active>a:hover,
    .content-wrapper .pagination>.active>span,
    .content-wrapper .pagination>.active>span:focus,
    .content-wrapper .pagination>.active>span:hover {background-color: #e8000a;border-color: #e8000a;}
   
    /* SSOMovil #d5e5ac*/
        h4.ssomovil { color: #708e0b !important; }
        table.ssomovil .bg-flesan-th { background: #96bd11 !important; color: white;text-transform: uppercase; letter-spacing: 1px; }
        table.ssomovil tr.categoria { font-size: 9pt;background-color: #d5e5ac !important;color: #544040 !important;font-weight: bold !important;text-transform: uppercase; letter-spacing: 1px;}
        table.ssomovil tr.fila { font-size: 9pt; }
        .box.box-ssomovil { border-top-color: #708e0b; }
    /* End SSOMovil */

    /* Demoliciones #EA9F4E */
        h4.demolicion { color: #AB9287 !important; }
        table.demolicion .bg-flesan-th { background: #7FB5B4 !important; color: white;text-transform: uppercase; letter-spacing: 1px; }
        .box.box-demolicion { border-top-color: #7FB5B4; }
        .box.box-demolicion .dropdown-menu>.active>a, .box.box-demolicion .dropdown-menu>.active>a:focus, .box.box-demolicion .dropdown-menu>.active>a:hover { background-color: #7FB5B4; }
        .box.box-demolicion h3.box-title { color: #box-title !important; }
        table.demolicion tr.sub { background-color: #A5E8E7; color:#444; font-size: 8pt; }
        table.demolicion tr.cat { background-color: #AB9287; color:#fff; font-weight: bold;text-transform: uppercase;cursor:pointer; } 
        table.demolicion span.title { color:#444; }
        #modal-camion .modal-title,#modal-petroleo .modal-title,#modal-herramienta .modal-title,#modal-maquinaria .modal-title { color:#AB9287; }
        #modal-camion .dropdown-menu>.active>a, #modal-camion .dropdown-menu>.active>a:focus, #modal-camion .dropdown-menu>.active>a:hover, 
        #modal-petroleo .dropdown-menu>.active>a, #modal-petroleo .dropdown-menu>.active>a:focus, #modal-petroleo .dropdown-menu>.active>a:hover, 
        #modal-herramienta .dropdown-menu>.active>a, #modal-herramienta .dropdown-menu>.active>a:focus, #modal-herramienta .dropdown-menu>.active>a:hover, 
        #modal-maquinaria .dropdown-menu>.active>a, #modal-maquinaria .dropdown-menu>.active>a:focus, #modal-maquinaria .dropdown-menu>.active>a:hover { background-color: #7FB5B4; }
        #modal-camion .btn-flesan,
        #modal-petroleo .btn-flesan,
        #modal-herramienta .btn-flesan,
        #modal-maquinaria .btn-flesan { background: #7FB5B4 !important; color: white; }
    /* End Demoliciones */
/* End Tables */

/* Box */
    .login-page, .register-page { background-image: url("background_grupoflesan_2020.png");height: 100%;background-position: center;background-repeat: no-repeat;background-size: cover; overflow: hidden;}
    .box { box-shadow: 0px 3px 5px #999; } 
    .box-header>.fa, .box-header>.glyphicon, .box-header>.ion, .box-header .box-title { display: inline-block; font-size: 11pt; margin: .5em .4em; line-height: 1; color: #e8000a; font-weight: bold; }
    .box-header.with-border { border-bottom: 1px solid #e2e2e2; }
	
	.login-box .login-box-body { background: #e8e8e8;padding: 6px;border-top: 0;color: #8d8d8d;border-radius: 10px;box-shadow: 0px 3px 5px #999;font-family: 'Roboto' !important; }
	.login-box .login-box-body .login-logo { border-top-left-radius: 10px;border-top-right-radius: 10px;background-color: white;margin: 0; }
	.login-box .login-box-body .login-logo img { width: 60%;padding: 15px 0; }
    .login-box .login-box-body .login-box-msg { font-size: 10pt;color: #8d8d8d;background-color: #dbdbdb;margin: 5px 0 0 0;padding: 5px 0;font-weight: bold;text-transform: uppercase; } 
    .login-box .login-box-body .cuadro { color: white;background-color: #8d8d8d;padding: 1em;width: 100%;border-bottom-left-radius: 10px;border-bottom-right-radius: 10px; }

    .modal-content {border-radius: 5px;} 
    .box-header.with-border,.modal-header h4.modal-title {padding: 0;text-transform: uppercase;font-size: 12pt;margin: 0;color: #e8000a;}
/* End Box */

/* Menu */
    .sidebar { padding-bottom: 0px; }
    .treeview-menu { padding-left: 10px; }
    .logo-mini, .logo-lg, .skin-red .main-header .logo{ background-color: white; }
    .skin-red .sidebar-menu .treeview-menu>li.active>a, .skin-red .sidebar-menu .treeview-menu>li>a:hover { color: #333; border-right: 5px solid #e8000a; background-color: #eee; }
    .treeview-menu>li>a { font-size: 10pt; }
    .skin-red .main-header .logo:hover { background-color: white; }
/* End Menu */

/* Content */
    body { height: auto; font-family: 'Roboto', sans-serif !important; font-size: 9pt; }
    a { cursor: pointer; }
    .wrapper {background-color: #e4e4e4 !important;}
    .content-wrapper { overflow: auto;background-color: #e4e4e4; width: 100vw;height: 100vh;min-width: 100vw;min-height: 100vh !important;margin: 0px;webkit-transition: padding-left .3s; -moz-transition: padding-left .3s; -o-transition: padding-left .3s; transition: padding-left .3s; padding-bottom: 20px; }    
    section.content-header h4 { color: #e8000a; text-transform: uppercase; margin: 0;    font-family: inherit; }
    section.content-header small { letter-spacing: 1px; color: #333; }
    section.content .form-group h4 { color: #e8000a;text-transform: uppercase;margin: 0.3em 0; }
    section.content .form-group h5 { color: #e8000a;text-transform: uppercase;font-size: 12pt; }
    section.content-header small { text-transform: uppercase; display: block; font-weight: bold; }
    .progress { background-color: #ddd; }
    form#repdia .card .card-header { text-transform: uppercase; font-weight: bold; font-size: 10pt; color: #e8000a; }
    form#repdia span { font-size: 10pt; }
    label { display: inline-block; max-width: 100%; margin-bottom: 0.2em;font-weight: 700;text-transform: uppercase;font-size: 8pt;letter-spacing: 0px;color: #666; }
    .radio-inline { font-weight: bold;line-height: 20px; margin-top: 10px !important; text-transform: none; }
    .line { height: 1px; background-color: #e8000a; }
    .is-invalid { border: 2px solid #E8000A !important; color: #E8000A; }
    .is-valid { border: 2px solid #008d4c !important; color: #008d4c; }
    .checkbox_fl { width: 40px;position: relative;float: left; }
    .task.im { text-decoration: line-through; }
    input.check, input.radio { height: 20px;width: 20px;margin: 2px 10px;vertical-align: middle; }
    .callout h3 { margin: 0;text-transform: uppercase; font-size: 14pt; font-weight: bold; }
    
    
    option { font-weight: bold; }
    .bg-yellow-2 { background-color: #ffea00 !important; color: #444; }
    .help-text {font-size: 7pt;text-transform: uppercase;color: #666;margin: 0;padding-top: 2px;}
    .radio input[type=radio]{ height: 15px; width: 15px; line-height: 0px; margin: 0 0 0 -20px;cursor:pointer;}
    .table-responsive { border: 0; }

    .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {width: 100%;}
    /*.bootstrap-select .dropdown-menu {min-width: 100% !important;}*/
    .bootstrap-select .btn.dropdown-toggle.btn-default,.bootstrap-select .bs-searchbox>input{ border-radius: 3px !important; border-color: #bbb; height: 30px;padding: 5px 10px;font-size: 12px;line-height: 1.5; }
    .bootstrap-select .dropdown-menu.open {margin: 0;padding: 0;top: 30px;}
    .bootstrap-select .dropdown-menu.open ul.dropdown-menu li a {font-size: 10pt;}
    .bootstrap-select .dropdown-menu.open ul.dropdown-menu li.active a,
    .bootstrap-select .dropdown-menu.open ul.dropdown-menu li a:hover {color: white !important;background-color: #e8000a;}
    
    .nav-tabs-custom>.nav-tabs>li { margin-right: 0; }
    .input-sm {border-radius: 3px !important;border-color: #bbb;}
/* End Content */

/* MENU */
    .sidebar-collapse .main-header { width: 0px !important; }
    .navbar-custom-menu { position:absolute; left: 42px; webkit-transition: -webkit-transform .1s ease-in-out,width .1s ease-in-out; -moz-transition: -moz-transform .1s ease-in-out,width .1s ease-in-out; -o-transition: -o-transform .1s ease-in-out,width .1s ease-in-out; transition: transform .1s ease-in-out,width .1s ease-in-out; }
    .sidebar-collapse .navbar-custom-menu { position: absolute; -webkit-transform: translate(-230px, 0);
    -ms-transform: translate(-230px, 0);
    -o-transform: translate(-230px, 0);
    transform: translate(-230px, 0); }
    .sidebar-collapse .content-wrapper { /*padding-left: 42px;overflow-x: : hidden;*/ }
    .sidebar-collapse .content-wrapper.outside { padding-left: 0px !important;overflow-x: hidden; }
    .main-header {position: absolute;max-height: 100px;z-index: 1030;width: 230px;webkit-transition: -webkit-transform .3s ease-in-out,width .3s ease-in-out; -moz-transition: -moz-transform .3s ease-in-out,width .3s ease-in-out; -o-transition: -o-transform .3s ease-in-out,width .3s ease-in-out; transition: transform .3s ease-in-out,width .3s ease-in-out; }
    .main-header .sidebar-toggle { float: left;background-color: transparent !important;background-image: none;padding: 5px;color: #333 !important;font-family: fontAwesome; }
    .main-header .sidebar-toggle:hover { color: #ff0000 !important; }
    .main-sidebar {background-color: #ddd!important;}
    .main-sidebar .sidebar { overflow-y: scroll; }
    .main-sidebar .sidebar a { color: #333; }    
/* END MENU */
    
    .main-footer {position: fixed;background: #e8000a;color: #fff;bottom: 0;left: 0;width: 100%;padding: 5px;margin:0!important;}

    .modal {
      text-align: center;
      padding: 0!important;
    }

    .modal:before {
      content: '';
      display: inline-block;
      height: 100%;
      vertical-align: middle;
      margin-right: -4px;
    }

    .modal-dialog {
      display: inline-block;
      text-align: left;
      vertical-align: middle;
    }

    input.disable, select.disable, textarea.disable {
        pointer-events: none;
        color: #AAA;
        background: #F5F5F5;
    }

    /* SIP */
    .content-wrapper h4.sip {color: #26bebe!important;}
    .content-wrapper .bg-flesan-th-sip {background-color: #26bebe;}
    .content-wrapper .box-default-sip {border-top-color: #26bebe!important;}
    .content-wrapper a.sip { display: inline-block; margin: 1em; line-height: 1; color: #26bebe!important; font-weight: bold; }
    .sip-footer {position: fixed;background: #26bebe;color: #fff;bottom: 0;left: 0;width: 100%;padding: 5px;margin:0!important;}
    .box-header>.fa, .box-header>.glyphicon, .box-header>.ion, .box-header .box-title-sip { display: inline-block; font-size: 9pt; margin: 1em; line-height: 1; color: #26bebe; font-weight: bold; }
    h3.box-title-sip { display: inline-block; line-height: 1; color: #26bebe; font-weight: bold; }